Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne
Class CayenneException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cayenne.CayenneException

All Implemented Interfaces:
  Serializable

    public class CayenneException

extends Exception

A generic checked exception that may be thrown by Cayenne framework. All checked exceptions in Cayenne inherit from this class.

See Also:
  Serialized Form

Constructor Summary
`CayenneException()` Creates new `CayenneException` without detail message.
`CayenneException(String messageFormat, Object... messageArgs)` Constructs an `CayenneException` with the specified detail message.
`CayenneException(String messageFormat, Throwable cause, Object... messageArgs)`
`CayenneException(Throwable cause)` Constructs an `CayenneException` that wraps a `cause` thrown elsewhere.

Method Summary
`static String` | `getExceptionLabel()`
`String` | `getMessage()`
`String` | `getUnlabeledMessage()` Returns exception message without Cayenne version label.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CayenneException

    public CayenneException()

  Creates new `CayenneException` without detail message.

### CayenneException

    public CayenneException(String messageFormat,
                            Object... messageArgs)

  Constructs an `CayenneException` with the specified detail message.

  Parameters:
    `message` - the detail message.

### CayenneException

    public CayenneException(Throwable cause)

  Constructs an `CayenneException` that wraps a `cause` thrown elsewhere.

### CayenneException

    public CayenneException(String messageFormat,
                            Throwable cause,
                            Object... messageArgs)

Method Detail

### getExceptionLabel

    public static String getExceptionLabel()

### getUnlabeledMessage

    public String getUnlabeledMessage()

  Returns exception message without Cayenne version label.

  Since:
    1.1

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 Apache Cayenne. All Rights Reserved.